/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.service.util;

/**
 * 
 * @author Kts
 */
public class Util {
    /**
     * 함수의 시그너처에서 함수명만 추출하는 정적메소드
     * @param function
     * @return 
     */
    public static String getFuncNameFromSignature(String function) {
        int index = function.indexOf("(");
        if( index >= 0 ) {
            return function.substring(0, index);
        }else{
            return function;
        }
    }
}
